close all
clear all
clc
 
% load data
data = load('poisson_result.dat');

k = 1; % order of the finite element approximation
indh  = 3;
indl2 = 4;
indh1 = 5;
h  = data(:,indh);
l2 = data(:,indl2);
h1 = data(:,indh1);


loglog(h,l2,'k-');
hold on;
loglog(h,h1,'k--');
legend('||u-u_e||_{L^2}','||u-u_e||_{H^1}',2);

% L2
p = k+1; x = h(end); y = l2(end)*1.5;
line([x,x,x*10,x],[y,y*(10^p),y*(10^p),y]);
text(x,y*10^p/3^p,num2str(p));

% H1
p = k; x = h(end); y = h1(end)*1.5;
line([x,x,x*10,x],[y,y*(10^p),y*(10^p),y]);
text(x,y*10^p/3^p,num2str(p));

hold off;

% Print
print -dpng poisson_result.png
